package main

import (
	"github.com/nemunaire/minifaas/engine"
	"github.com/nemunaire/minifaas/engine/docker"
)

func FilterRunningContainers(jobtype string) (ret []string, err error) {
	ctrs, errr := docker.PsName()
	if errr != nil {
		return nil, errr
	}

	return engine.FilterRunningContainers(jobtype, ctrs), nil
}

func CountRunningContainers(jobtype string) (n int, err error) {
	ctrs, errr := docker.PsName()
	if errr != nil {
		return 0, errr
	}

	return engine.CountRunningContainers(jobtype, ctrs), nil
}
